<?php get_header(); ?>

<div id="content">

	<?php if (have_posts()): ?>
	
		<div class="post">
		  <?php /* If this is a category archive */ if (is_category()) { ?>				
		  <h2 class="title">Archive for the '<?php echo single_cat_title(); ?>' category</h2>

      <?php /* If this is a Tag archive */ } elseif (function_exists('is_tag')&& is_tag()) { ?>
      <h2 class="title">Archive for the Tag '<?php echo single_tag_title(); ?>'</h2>
    
 	    <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
		  <h2 class="title">Archive for <?php the_time('F jS, Y'); ?></h2>
  		
	   <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
		  <h2 class="title">Archive for <?php the_time('F, Y'); ?></h2>

		  <?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
		  <h2 class="title">Archive for <?php the_time('Y'); ?></h2>
  		
	    <?php /* If this is a search */ } elseif (is_search()) { ?>
		  <h2 class="title">Search Results</h2>
  		
	    <?php /* If this is an author archive */ } elseif (is_author()) { ?>
		  <h2 class="title">Author Archive</h2>

		  <?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
		  <h2 class="title">Blog Archives</h2>

  	  <?php } ?>
		  </div>
	
		<?php while (have_posts()) : the_post(); ?>
			<div id="post-<?php the_ID(); ?>" class="post">
			<h2 class="title"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2>
			<div class="entry">
				<?php the_excerpt(); ?>				
			</div>
			<div class="meta">
				<p class="byline"><?php the_author_posts_link() ?> on <?php the_time('F jS, Y') ?></p>
				<p class="links">
					<span class="category"><?php the_category(','); ?></span>
				</p>
			</div>
		</div>	
		<?php endwhile; ?>
	
		<div class="navigation">
			<div class="alignleft"><?php previous_posts_link('&laquo; Newer Entries') ?></div>
			<div class="alignright"><?php next_posts_link('Older Entries &raquo;') ?></div>
		</div>
	
	<?php else: ?>
	
		<div class="post">
			<h2 class="title">Not Found</h2>
		</div>
			
	<?php endif; ?>

</div>
<!-- end content -->


<?php get_sidebar(); ?>

<?php get_footer(); ?>
